Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Linux driver voor Konica Minolta 5430DL???  (gelezen 3915 keer)

Offline John K

  • Lid
  • Steunpunt: Nee
Linux driver voor Konica Minolta 5430DL???
« Gepost op: 2007/04/28, 10:21:38 »
Ik ben op zook naar iemand met ervaring met het printen met de  Konica Minolta 5430DL onder Ubuntu.


In een emailantwoord Konica Minolta "De  5430DL is weer niet onder Linux te gebruiken, althans niet officieel. De Linux-community heeft er misschien wel iets op gevonden."


Maar op de Konica Minolta site staat:

"This printer driver runs on a Linux system on which CUPS 1.1.15 or later has been installed.  This printer driver is compatible with the following environments:

OS: Red Hat Linux 8.0 or later, SuSE 8.1 or later
Applications: OpenOffice 1.0.1 or later, KWord 1.2 or later, Acrobat Reader 5"


Nu wil ik deze printer aanschaffen omdat mijn Brother MFC 590 niet samenwerkt met Linux, maar ik wil niet weer hetzelfde probleem met een dure printer.

Kan iemand mij met speod adviseren (anders verkoopt de winkel dit laatste exemplaar aan iemand anders!)

Bij voorbaat dank,

Groeten John

henk48

  • Gast
Linux driver voor Konica Minolta 5430DL???
« Reactie #1 Gepost op: 2007/04/28, 11:31:08 »
Op deze site - http://printer.konicaminolta.com/products/color/5430/index.asp - staat dat hij werkt onder Linux (Red Hat, Suse), dus onder Ubuntu zou hij het ook moeten doen. Ik heb zelf een QMS Magicolor 2300W en die werkt uit de kunst.

Offline John K

  • Lid
  • Steunpunt: Nee
Linux driver voor Konica Minolta 5430DL???
« Reactie #2 Gepost op: 2007/04/28, 14:14:19 »
Henk,

Dank je wel. Ik en de (Konica Minolta medewerker) hebben dit over het hoofd gezien.

Heb je enog idee hoe de drivers onder Ubuntu te installeren?

Groeten John

Offline eendje

  • Lid
  • Steunpunt: Nee
Linux driver voor Konica Minolta 5430DL???
« Reactie #3 Gepost op: 2007/04/28, 14:20:29 »
VOlgens de linuxprinting site. Werkt de printer Mostly http://www.linuxprinting.org/show_printer.cgi?recnum=KONICA_MINOLTA-magicolor_5430_DL

Altijd goed om op de www.llinuxprinting.org site te kijken. Daar staat een datab ase van veel printers. http://www.linuxprinting.org/printer_list.cgi
Een dag niets geleerd is een dag niet geleefd!
Ik blog dus ik besta!
__________________________________________________________
Een vraag? Heb je al eens gekeken op: http://wiki.ubuntu-nl.org/FAQ?

Offline John K

  • Lid
  • Steunpunt: Nee
Linux driver voor Konica Minolta 5430DL???
« Reactie #4 Gepost op: 2007/05/01, 17:09:25 »
Beste Henk,

Is de 23oo 600 X600? En hoe drukt dit af?

Groeten John


Citaat van: henk48
Op deze site - http://printer.konicaminolta.com/products/color/5430/index.asp - staat dat hij werkt onder Linux (Red Hat, Suse), dus onder Ubuntu zou hij het ook moeten doen. Ik heb zelf een QMS Magicolor 2300W en die werkt uit de kunst.

Offline John K

  • Lid
  • Steunpunt: Nee
Linux driver voor Konica Minolta 5430DL???
« Reactie #5 Gepost op: 2007/05/04, 18:21:25 »
Ik heb inmiddels de Konica Minolta 5430 DL gekocht, ik weet alleen nog niet hoe ik deze moet installeren. Ubuntu ziet het betreffende IP adres niet?

Hoe pak ik [   ] magicolor5430DL-1.8.0.tar.gz uit en hoe installeer ik dit driverbestand?

Heeft iemand een tip?

Groeten John

Offline eendje

  • Lid
  • Steunpunt: Nee
Linux driver voor Konica Minolta 5430DL???
« Reactie #6 Gepost op: 2007/05/05, 19:09:53 »
Ik zou proberen de driver voor de 2430DL te gebruiken die in Ubuntu zit, want compileren is geen senicure....

Ik heb het even geprobeerd, maar configure geeft al een misere...
Een dag niets geleerd is een dag niet geleefd!
Ik blog dus ik besta!
__________________________________________________________
Een vraag? Heb je al eens gekeken op: http://wiki.ubuntu-nl.org/FAQ?

Offline John K

  • Lid
  • Steunpunt: Nee
Linux driver voor Konica Minolta 5430DL???
« Reactie #7 Gepost op: 2007/05/05, 20:29:35 »
Citaat van: eendje
Ik zou proberen de driver voor de 2430DL te gebruiken die in Ubuntu zit, want compileren is geen senicure....

Ik heb het even geprobeerd, maar configure geeft al een misere...
O.K, ik ga het proberen. Weet jij hoe ik het Ubuntuteam kan vragen of ze de 5430 driver opnemen?

Groeten John.

Ik moet nog even kwijt dat jij me erg geholpen hebt bij al mijn printervragen!!!

Offline eendje

  • Lid
  • Steunpunt: Nee
Linux driver voor Konica Minolta 5430DL???
« Reactie #8 Gepost op: 2007/05/05, 20:46:43 »
Citaat van: John K
Citaat van: eendje
Ik zou proberen de driver voor de 2430DL te gebruiken die in Ubuntu zit, want compileren is geen senicure....

Ik heb het even geprobeerd, maar configure geeft al een misere...
O.K, ik ga het proberen. Weet jij hoe ik het Ubuntuteam kan vragen of ze de 5430 driver opnemen?

Groeten John.

Ik moet nog even kwijt dat jij me erg geholpen hebt bij al mijn printervragen!!!
Graag gedaan :)


Er is al een bug gefiled. Helaas staat de prioriteit op low Misschien kun je er een comment bij zetten... Als meer mensen zeggen dat het belangrijk is gaat misschien de prioriteit wel omhoog.

https://bugs.launchpad.net/ubuntu/+source/foomatic-db/+bug/74635
Een dag niets geleerd is een dag niet geleefd!
Ik blog dus ik besta!
__________________________________________________________
Een vraag? Heb je al eens gekeken op: http://wiki.ubuntu-nl.org/FAQ?

Offline John K

  • Lid
  • Steunpunt: Nee
Linux driver voor Konica Minolta 5430DL???
« Reactie #9 Gepost op: 2007/05/08, 13:00:58 »
Beste Eendje,

Ik heb het printerprobleem uiteindelijk opgelost. De Konica Minolta 5430 DL werkt NIET met de 2340 DL driver maar WEL met de 2300DL driver... Je moet er maar opkomen!

Ik kan alleen met dezelfde driver de printer niet als netwerkprinter gebruiken, heb jij enig idee hoe dit kan? Ik vul het ip adres in, dan wordt er naar de driver gevraagd (2300DL) maar er wordt niets geprint. Zie ik iets over het hoofd?

Het feit dat ik zo doordram met mijn printervragen is dat ik anderen mogelijk ook van dienst wil zijn met de oplossingen.

Groeten John

Offline John K

  • Lid
  • Steunpunt: Nee
Linux driver voor Konica Minolta 5430DL???
« Reactie #10 Gepost op: 2007/05/08, 14:25:04 »
Eendje,

Op de driver cd staat een .rpm bestand. Nu schrijf jij ergens;

"PLAN B

Toepassingen > Hulpmiddelen > Terminal venster

Ga naar de directorie waar de rpm-file staat. Om bijvoorbeeld naar de desktop te gaan (daar worden meestal de gedownloade bestandne geplaatst ) gaat als volgt:

cd ~/Desktop

dan voer je het volgende commando uit

sudo alien je-rpm-bestand

Je krijgt nu een deb-bestand.

Ga met nautilus naar de directorie waar je RPM-bestand staat, daar staat namelijk ook de vers gemaakte deb-file.

rechtermuisklik op bestand en kies "Openen met GDEbi pakket installatie"
Kies pakket installeren en vul je paswoord in als er om gevraagd wordt.

Klaar!"

Als ik dit uitvoer krijg ik;

~$ sudo alien magicolor5430DL-1.7.0-1.i386.rpm
Password:
Warning: Skipping conversion of scripts in package magicolor5430DL: postinst postrm
Warning: Use the --scripts parameter to include the scripts.
magicolor5430dl_1.7.0-2_i386.deb generated

 
Heb ik nu wel of niet een goede .deb gemaakt?

Ik wil deze gebruiken om de juiste driver met de volgende omschrijving te installeren (mits mogelijk).

Zie: https://wiki.ubuntu.com/HardwareSupportComponentsPrinters/KonicaMinolta

Zou dit een goed idee zijn? Deze meneer waarschuwt nml. niet de originele Ubuntudrivers te gebruiken!?. Maar dit is dan ook een oude topic.

Groeten en alvast bedankt,

John

P.s als ik zo doorga kun je voortaan mensen met printervragen naar mij toe doorsturen (ha,ha)

Offline dvdmeer

  • Lid
    • Python-RandR :: dvdmeer.nl
  • Steunpunt: Nee
Linux driver voor Konica Minolta 5430DL???
« Reactie #11 Gepost op: 2007/05/08, 17:54:39 »
Is er nu een .deb gemaakt? Dan zou ik het gewoon proberen.. om uit te voeren.

Offline eendje

  • Lid
  • Steunpunt: Nee
Linux driver voor Konica Minolta 5430DL???
« Reactie #12 Gepost op: 2007/05/08, 20:31:01 »
Ik zou de DEB wel durven installeren. Bepaalde scripts zijn niet geconverteerd, maar, maar vaak levert dit geen problemen op.

Wat betreft de wiki pagina die is op zich al wel erg oud (in linux termen is iets dat bijna een jaar oud is heel erg oud). Ik zou wel de stappen die aangegeven worden in het hoofdstuk closed source driver gewoon volgen, want die zijn algemeen toepasbaar.

Als het allemaal werkt is het misschien een goed idee om jouw ervaringen bij de wiki pagina er bij op te zetten (inclusief de versie van Ubuntu die jij gebruikt). Tenslotte als het niet werkt kun je DEB altijd nog gewoon verwijderen via Synaptic dus wat let je...
Een dag niets geleerd is een dag niet geleefd!
Ik blog dus ik besta!
__________________________________________________________
Een vraag? Heb je al eens gekeken op: http://wiki.ubuntu-nl.org/FAQ?

Offline John K

  • Lid
  • Steunpunt: Nee
Linux driver voor Konica Minolta 5430DL???
« Reactie #13 Gepost op: 2007/05/08, 20:42:12 »
Citaat van: dvdmeer
Is er nu een .deb gemaakt? Dan zou ik het gewoon proberen.. om uit te voeren.
Als ik naar de volgende uitleg kijk snap ik verschillende zaken niet;

 It won't work out of the box on Ubuntu the following steps are required to make it work:

Unpack the package:

$tar -xvf 2430dllin.tar  

Install alien:

$sudo apt-get install alien fakeroot

Transform the RPM into a DEB:

$fakeroot alien magicolor2430DL-1.5.0-1.i386.rpm

Install the DEB:

$sudo dpkg -i magicolor2430dl_1.5.0-2_i386.deb

Restart CUPS:

$sudo /etc/init.d/cupsys restart

Setup printer as normal, but use the driver from the all caps KONICA_MINOLTA category (and not the Minolta category).

einde

- Hoe kom ik aan het bestand  - $tar -xvf 5430dllin.tar -  ? Ik heb alleen een .RPM betsand op de driver CD.


- Het volgende betand zegt Terminal niet te kennen  - $sudo apt-get install alien fakeroot  -  De terminal zegt iets als niet kunnen unlocken of zo.


- Hetvolgende  lijkt goed te gaan...  - $fakeroot alien magicolor5430DL-1.7.0-1.i386.rpm -
-Het volgende gaat fout; Terminal zegt dat ik als superuser moet installeren, maar ik ben al administrieaccounthouder, dus;    

- $sudo dpkg -i magicolor5430dl_1.7.0-2_i386.deb -   zou moeten werken maar doet het niet, dus ook niets geinstalleerd.


Gebruik ik Alien verkeerd? Wat is Fakeroot Alien.

Groeten John

Offline John K

  • Lid
  • Steunpunt: Nee
Linux driver voor Konica Minolta 5430DL???
« Reactie #14 Gepost op: 2007/05/08, 20:48:11 »
Citaat van: eendje
Ik zou de DEB wel durven installeren. Bepaalde scripts zijn niet geconverteerd, maar, maar vaak levert dit geen problemen op.

Wat betreft de wiki pagina die is op zich al wel erg oud (in linux termen is iets dat bijna een jaar oud is heel erg oud). Ik zou wel de stappen die aangegeven worden in het hoofdstuk closed source driver gewoon volgen, want die zijn algemeen toepasbaar.

Als het allemaal werkt is het misschien een goed idee om jouw ervaringen bij de wiki pagina er bij op te zetten (inclusief de versie van Ubuntu die jij gebruikt). Tenslotte als het niet werkt kun je DEB altijd nog gewoon verwijderen via Synaptic dus wat let je...
Welk hoofdstuk "closed source driver"? De .deb driver op de driver cd wordt toch bedoelt met closed source driver? En dat is toch de beschrijving als genoemd?

De 2300 DL leek te werken, maar kan alleen maar 1 printopdracht per keer aan, voor de volgende opdracht moet ik Ubuntu opnieuw opstarten. Ook kan ik niet in kleur printen, raar he?

Groeten John

Offline dvdmeer

  • Lid
    • Python-RandR :: dvdmeer.nl
  • Steunpunt: Nee
Linux driver voor Konica Minolta 5430DL???
« Reactie #15 Gepost op: 2007/05/08, 21:03:02 »
Mijn kennis hapert hier, op dit moment kan ik je dus even niet verder helpen. De andere heus wel, succes.

Offline eendje

  • Lid
  • Steunpunt: Nee
Linux driver voor Konica Minolta 5430DL???
« Reactie #16 Gepost op: 2007/05/08, 21:36:28 »
Hoi John,

Geloof het of niet, maar je hebt al een DEB-jes gemaakt die prima te gebruiken is, zie maar in post #11:

Citaat
~$ sudo alien magicolor5430DL-1.7.0-1.i386.rpm
Password:
Warning: Skipping conversion of scripts in package magicolor5430DL: postinst postrm
Warning: Use the --scripts parameter to include the scripts.
magicolor5430dl_1.7.0-2_i386.deb generated
Het DEb-je staat in jouw home map. Dus:

Zorg eerst dat jij niet Syanptic open hebt staan! Afsluiten dus.
Open je homemap en dubbelklik op het bestand magicolor5430dl_1.7.0-2_i386.deb
Gdebi pakketmanager opent.
Klik op Pakket Installeren
Als je password wordt gevraagd je eigen password invullen.
Het pakket is nu geïnstalleerd
Open het ternimal venster en geef het volgende commando in: sudo /etc/init.d/cupsys restart
Ga nu naar Systeem > Beheer > Printers en maak een nieuwe printer aan. Kies bij producenten voor KONICA_MINOLTA. ALs het goed is staat de printer nu in de lijst.
Als het goed is kun je nu printen via de nieuwe driver. Als dat werkt kun je de andere printer (de 2300DL) uit de lijst verwijderen.

Ik hoop dat je nu een printer hebt waarop je zonder allerlei moeilijke stunten kunt printen :)
Een dag niets geleerd is een dag niet geleefd!
Ik blog dus ik besta!
__________________________________________________________
Een vraag? Heb je al eens gekeken op: http://wiki.ubuntu-nl.org/FAQ?

Offline John K

  • Lid
  • Steunpunt: Nee
Linux driver voor Konica Minolta 5430DL???
« Reactie #17 Gepost op: 2007/05/08, 23:06:46 »
Ik ga het morgen direct proberen. Ik houd je op de hoogte!

Offline John K

  • Lid
  • Steunpunt: Nee
Linux driver voor Konica Minolta 5430DL???
« Reactie #18 Gepost op: 2007/05/09, 11:14:40 »
Citaat van: dvdmeer
Mijn kennis hapert hier, op dit moment kan ik je dus even niet verder helpen. De andere heus wel, succes.
Toch bedankt voor je hulp.

John

Offline John K

  • Lid
  • Steunpunt: Nee
Linux driver voor Konica Minolta 5430DL???
« Reactie #19 Gepost op: 2007/05/09, 16:34:28 »
Citaat van: eendje
Hoi John,

Geloof het of niet, maar je hebt al een DEB-jes gemaakt die prima te gebruiken is, zie maar in post #11:

Citaat
~$ sudo alien magicolor5430DL-1.7.0-1.i386.rpm
Password:
Warning: Skipping conversion of scripts in package magicolor5430DL: postinst postrm
Warning: Use the --scripts parameter to include the scripts.
magicolor5430dl_1.7.0-2_i386.deb generated
Het DEb-je staat in jouw home map. Dus:

Zorg eerst dat jij niet Syanptic open hebt staan! Afsluiten dus.
Open je homemap en dubbelklik op het bestand magicolor5430dl_1.7.0-2_i386.deb
Gdebi pakketmanager opent.
Klik op Pakket Installeren
Als je password wordt gevraagd je eigen password invullen.
Het pakket is nu geïnstalleerd
Open het ternimal venster en geef het volgende commando in: sudo /etc/init.d/cupsys restart
Ga nu naar Systeem > Beheer > Printers en maak een nieuwe printer aan. Kies bij producenten voor KONICA_MINOLTA. ALs het goed is staat de printer nu in de lijst.
Als het goed is kun je nu printen via de nieuwe driver. Als dat werkt kun je de andere printer (de 2300DL) uit de lijst verwijderen.

Ik hoop dat je nu een printer hebt waarop je zonder allerlei moeilijke stunten kunt printen :)
Eendje,

De champagne kan open. Na dik 1 jaar proberen (en volhouden) kan ik zonder omwegen printen vanaf Ubuntu. Vanaf nu kunnen al mijn computeractiviteiten zonder Windows!

Een klein punt nog, hoe maak je Ubuntu wijs dat hij naar de netwerkprinter moet printen? Hij installeert (en herkend) deze wel, maar printen lukt alleen via USB.

Moet ik nog iets in SMD instellen, de printer verschijnt wel met netwerknaam in de WORKGROUP. Moet ik de printer bij het installeren als Cups Printer (IPP), als Windows Printer (SMD) of als Unix printer LPD opgeven? Het lijkt mij Cups??

Groeten John

Offline John K

  • Lid
  • Steunpunt: Nee
Linux driver voor Konica Minolta 5430DL???
« Reactie #20 Gepost op: 2007/05/09, 19:37:22 »
Citaat van: eendje
Hoi John,

Geloof het of niet, maar je hebt al een DEB-jes gemaakt die prima te gebruiken is, zie maar in post #11:

Citaat
~$ sudo alien magicolor5430DL-1.7.0-1.i386.rpm
Password:
Warning: Skipping conversion of scripts in package magicolor5430DL: postinst postrm
Warning: Use the --scripts parameter to include the scripts.
magicolor5430dl_1.7.0-2_i386.deb generated
Het DEb-je staat in jouw home map. Dus:
" Als dat werkt kun je de andere printer (de 2300DL) uit de lijst verwijderen."
 :)
Eendje, ik heb, eigenwijs als ik ben, op de volgende site; http://wiki.nightlabs.de/en/Linux:Printers_and_Kubuntu_6.06  een nieuwere driver gedownload, maar deze werkt niet.

Package manager zegt dat ik de 'oude' driver niet kan installeren omdat er al een nieuwere versie bestaat. Hoe krijg ik deze nieuwe versie uit de lijst, zoals jij hierboven noemt?

John

Offline eendje

  • Lid
  • Steunpunt: Nee
Linux driver voor Konica Minolta 5430DL???
« Reactie #21 Gepost op: 2007/05/09, 22:36:16 »
Je moet de driver gewoon kunnen unistalleen via synaptic. GEwoon zoeken op magicolor en als het goed is vandt je de driver dan direct. (Wel even de oude bewaren voor het geval de nieuwe niet werkt ;)). Ik zal morgen even kijken naar het netwerkprint gebeuren.
Een dag niets geleerd is een dag niet geleefd!
Ik blog dus ik besta!
__________________________________________________________
Een vraag? Heb je al eens gekeken op: http://wiki.ubuntu-nl.org/FAQ?

Offline John K

  • Lid
  • Steunpunt: Nee
Linux driver voor Konica Minolta 5430DL???
« Reactie #22 Gepost op: 2007/05/10, 13:01:25 »
O.k

Offline eendje

  • Lid
  • Steunpunt: Nee
Linux driver voor Konica Minolta 5430DL???
« Reactie #23 Gepost op: 2007/05/10, 19:54:08 »
Kijk eens naar onderstaande uitleg van Brother zelf:

http://solutions.brother.com/linux/sol/printer/linux/cups_network.html
Een dag niets geleerd is een dag niet geleefd!
Ik blog dus ik besta!
__________________________________________________________
Een vraag? Heb je al eens gekeken op: http://wiki.ubuntu-nl.org/FAQ?